import { CronosDaysExpression } from './parser';
import { CronosTimezone } from './date';
import { DateSequence } from './scheduler';
export declare class CronosExpression implements DateSequence {
    readonly cronString: string;
    private readonly seconds;
    private readonly minutes;
    private readonly hours;
    private readonly days;
    private readonly months;
    private readonly years;
    private timezone?;
    private skipRepeatedHour;
    private missingHour;
    constructor(cronString: string, seconds: number[], minutes: number[], hours: number[], days: CronosDaysExpression, months: number[], years: number[]);
    static parse(cronstring: string, options?: {
        timezone?: string | number | CronosTimezone;
        skipRepeatedHour?: boolean;
        missingHour?: CronosExpression['missingHour'];
    }): CronosExpression;
    toString(): string;
    nextDate(afterDate?: Date): Date | null;
    private _next;
    nextNDates(afterDate?: Date, n?: number): Date[];
    private _nextYear;
    private _nextMonth;
    private _nextDay;
    private _resolveDays;
    private _nextHour;
    private _nextMinute;
    private _nextSecond;
}
